<template>
    <base-layout :page-title="loaded_space_asset ? loaded_space_asset.name : 'Loading ...'" page-default-back-link="/user-assets">
    <h2 v-if="!loaded_space_asset"> Could not find an Asset for the given ID.</h2>
    <user-asset-details v-else
      :name="loaded_space_asset.name"
      :image="loaded_space_asset.image"
      :description="loaded_space_asset.description"
      ></user-asset-details>
    </base-layout>
</template>

<script lang="js">
    import UserAssetDetails from '../components/spaceAssets/UserAssetDetails.vue';

    export default {
        components: {
            UserAssetDetails
        },
        data() {
            return {
                assetID: this.$route.params.id
            };
        },
        computed: {
            loaded_space_asset() {
                return this.$store.getters.space_asset(this.assetID);
            }
        },
        // watch: {
        //     '$route'(currentRoute) {
        //         this.assetID = currentRoute.params.id;
        //     }
        // }
    };
</script>